package com.palidinodh.osrsscript.map.area.karamja.brimhaven.handler.npcspawn;

import java.util.ArrayList;
import java.util.List;
import com.palidinodh.osrscore.io.cache.id.NpcId;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawn;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawnHandler;
import com.palidinodh.osrscore.model.tile.Tile;
import lombok.var;

class BrimhavenDungeonNpcSpawns implements NpcSpawnHandler {
  @Override
  public List<NpcSpawn> getSpawns() {
    var spawns = new ArrayList<NpcSpawn>();

    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2670, 9543), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2679, 9544), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2676, 9550), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2665, 9556), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2658, 9552), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2656, 9546), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2660, 9542), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2679, 9562), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2682, 9573), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2682, 9593), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2673, 9590), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2679, 9587), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2659, 9590), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2653, 9586), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2644, 9586), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2640, 9581), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2642, 9574), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2656, 9576), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2651, 9564), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2647, 9552), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2637, 9544), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2643, 9538), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2651, 9536), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2634, 9535), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2652, 9528), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2646, 9531), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2639, 9528), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2633, 9522), 4));
    spawns.add(new NpcSpawn(NpcId.MOSS_GIANT_42, new Tile(2642, 9520), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2657, 9514), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2663, 9513), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2666, 9512), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2661, 9518), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2667, 9517), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2672, 9515), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2671, 9521), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2672, 9526), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2664, 9520), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2667, 9522), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2664, 9526), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2660, 9522), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2648, 9477, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2640, 9476, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2629, 9477, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2634, 9485, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2632, 9493, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2642, 9500, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2632, 9502, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2640, 9508, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2637, 9504, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GREATER_DEMON_92, new Tile(2631, 9511, 2), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2627, 9525, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2627, 9530, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2628, 9541, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2628, 9548, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2634, 9550, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2634, 9557, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2640, 9559, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2636, 9566, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2643, 9564, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2640, 9569, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2635, 9576, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2630, 9581, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2634, 9586, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2634, 9593, 2), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2641, 9594, 2), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2651, 9503), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2643, 9492), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2646, 9485), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2654, 9488), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2656, 9481), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2666, 9483), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2668, 9496), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2662, 9494), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2658, 9500), 4));
    spawns.add(new NpcSpawn(NpcId.FIRE_GIANT_86, new Tile(2665, 9504), 4));
    spawns.add(new NpcSpawn(NpcId.RED_DRAGON_152, new Tile(2696, 9506), 4));
    spawns.add(new NpcSpawn(NpcId.RED_DRAGON_152, new Tile(2710, 9502), 4));
    spawns.add(new NpcSpawn(NpcId.RED_DRAGON_152, new Tile(2704, 9518), 4));
    spawns.add(new NpcSpawn(NpcId.RED_DRAGON_152, new Tile(2726, 9514), 4));
    spawns.add(new NpcSpawn(NpcId.RED_DRAGON_152, new Tile(2716, 9522), 4));
    spawns.add(new NpcSpawn(NpcId.RED_DRAGON_152, new Tile(2705, 9537), 4));
    spawns.add(new NpcSpawn(NpcId.RED_DRAGON_152, new Tile(2711, 9547), 4));
    spawns.add(new NpcSpawn(NpcId.BABY_RED_DRAGON_65, new Tile(2697, 9514), 4));
    spawns.add(new NpcSpawn(NpcId.BABY_RED_DRAGON_65, new Tile(2705, 9507), 4));
    spawns.add(new NpcSpawn(NpcId.BABY_RED_DRAGON_65, new Tile(2709, 9516), 4));
    spawns.add(new NpcSpawn(NpcId.BABY_RED_DRAGON_65, new Tile(2723, 9520), 4));
    spawns.add(new NpcSpawn(NpcId.BABY_RED_DRAGON_65, new Tile(2720, 9535), 4));
    spawns.add(new NpcSpawn(NpcId.BABY_RED_DRAGON_65, new Tile(2702, 9547), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2686, 9476), 4));
    spawns.add(new NpcSpawn(NpcId.BLACK_DEMON_172, new Tile(2700, 9489), 4));
    spawns.add(new NpcSpawn(NpcId.BLACK_DEMON_172, new Tile(2703, 9482), 4));
    spawns.add(new NpcSpawn(NpcId.BLACK_DEMON_172, new Tile(2710, 9479), 4));
    spawns.add(new NpcSpawn(NpcId.BLACK_DEMON_172, new Tile(2709, 9487), 4));
    spawns.add(new NpcSpawn(NpcId.BLACK_DEMON_172, new Tile(2718, 9484), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2732, 9481), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2728, 9488), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2741, 9486), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2736, 9493), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2742, 9503), 4));
    spawns.add(new NpcSpawn(NpcId.WILD_DOG_63, new Tile(2740, 9508), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2718, 9448), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2728, 9443), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2716, 9436), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2729, 9433), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2721, 9428), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2729, 9455), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2713, 9458), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2704, 9450), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2704, 9436), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2706, 9424), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2718, 9420), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2734, 9420), 444));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2740, 9432), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2739, 9451), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2711, 9443), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2741, 9443), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2739, 9462), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2668, 9418), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2656, 9419), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2656, 9427), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2648, 9422), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2647, 9431), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2633, 9420), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2639, 9418), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2637, 9429), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2639, 9437), 4));
    spawns.add(new NpcSpawn(NpcId.STEEL_DRAGON_246_274, new Tile(2670, 9426), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2641, 9445), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2636, 9450), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2648, 9451), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2634, 9458), 4));
    spawns.add(new NpcSpawn(NpcId.BRONZE_DRAGON_131, new Tile(2642, 9454), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2675, 9440), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2669, 9445), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2667, 9452), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2659, 9454), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2664, 9460), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2676, 9451), 4));
    spawns.add(new NpcSpawn(NpcId.IRON_DRAGON_189, new Tile(2672, 9459), 4));

    return spawns;
  }
}
